%define version 3.1.1
%define release 1mdk

Summary: Multi-user talk client
Summary(fr): Client talk multi-utilisateurs
Name: ytalk
Version: %{version}
Release: %{release}
Copyright: BSD
Group: Applications/Internet
Source: ftp://quatramaran.ens.fr/pub/orabidoo/ytalk/ytalk-3.1.1.tar.bz2
Source1: ytalkrc
Url: http://www.eleves.ens.fr:8080/home/espel/ytalk
Patch: ytalk-3.0.3-config.patch.bz2
Patch1: ytalk-3.0.2-glibc.patch.bz2
BuildRoot: /var/tmp/ytalk-root

%description
The YTalk program is essentially a chat program for multiple users.
YTalk works just like the UNIX talk program and even communicates with
the same talk daemon(s), but YTalk allows for multiple connections (unlike
UNIX talk).  YTalk also supports redirection of program output to other
users as well as an easy-to-use menu of commands.

Install the ytalk package if you need a chat program for multiple users.

%description -l fr
Ytalk est un client talk tendu qui permet plus de
deux utilisateurs par conversation, la redirection
de la sortie cran d'un programme a d'autres
personnes, aussi bien qu'un menu de commandes. Il
utilise le mme dmon talk que le programme talk
standard.

%prep
%setup -q
#%patch -p1 -b .config
#%patch1 -p1 -b .glibc

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --sysconfdir=/etc
make 

%install
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc
strip $RPM_BUILD_ROOT/usr/bin/ytalk


bzip2 -9f $RPM_BUILD_ROOT/usr/man/man1/*

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/ytalk
/usr/man/man1/ytalk.1.bz2
%config /etc/ytalkrc

%changelog
* Fri Jul 16 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 3.1.1

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Nov 22 1998 Preston Brown <pbrown@redhat.com>
- upgrade to ytalk 3.1

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
